LDEXP(3) | Library Functions Manual | LDEXP(3)

# NAME

ldexp, ldexpf — multiply floating-point number by integral power of 2

# LIBRARY

Math Library (libm, -lm)

# SYNOPSIS

#include <math.h>

double
ldexp(double x, int exp);

float
ldexpf(float x, int exp);

# DESCRIPTION

The ldexp() family of functions compute

x * 2^ exp

for a real floating-point number x.

# RETURN VALUES

The functions return the value of x times 2 raised to the power exp. Otherwise the following may occur:

1. If x is NaN, a NaN is returned.
2. If exp is zero or x is either ± 0 or ±∞, x is returned.
3. If the call would cause an overflow, a range error occurs and either ±HUGE_VAL, ±HUGE_VALF, or ±HUGE_VALL is returned, depending on the sign of x and the type of the return value.
4. If an underflow would be caused by the correct value, and the value is not representable, either 0.0 or an implementation-defined value is returned.

# SEE ALSO

frexp(3), math(3), modf(3)

# STANDARDS

The described functions conform to ISO/IEC 9899:1999 (“ISO C99”).

September 18, 2011 | NetBSD 7.2